import numpy as np
import math 

def simulate_drug_effectiveness(true_p):
    """Simulate the effectiveness of a drug with a hidden true probability of success."""
    return np.random.rand() < true_p

# Define the true probabilities of success for each drug (hidden in the simulation)
true_p_A = 0.7
true_p_B = 0.5

# Number of trials
num_trials = 100  # Increase to better demonstrate the concept

results_A = []
results_B = []


# Simulate and print results for each trial
num_trails_up = math.ceil((num_trials + 1) / 2)
print("Trial\tDrug A\tDrug B")
for trial in range(1, num_trails_up):
    result_A = simulate_drug_effectiveness(true_p_A)
    results_A.append(result_A)
    result_B = simulate_drug_effectiveness(true_p_B)
    results_B.append(result_B)
    print(f"{trial}\t{'Success' if result_A else 'Failure'}\t{'Success' if result_B else 'Failure'}")


# Print summary of results
print(f"Total successes for Drug A: {sum(results_A)} out of {num_trails_up - 1} trials")
print(f"Total successes for Drug B: {sum(results_B)} out of {num_trails_up - 1} trials")

